# Mining Rigger

Manages the deployment of the mininger rigger server and client.

## Server

The server class manages the mining rigger server installation and configuration.  By default, the server will listen on port 8000 using
http.  The server is using django and is using the django web server.  Note, it is not recommended to use the default web server in
production, and instead should use nginx or apache.

I personally use this software within a private network with only a few mining rigs, so I don't have a need for SSL security
or the need to process thousands of requests.  If you are interesting in using this for a large fleet of mining rigs,
please contact me via the bitbucket ticket and I can assist in adding nginx or apache support.

## Client

The client class manages the client software.  A cron job is setup to peridically checkin with the Mining Rigger server to report metrics.
Please see the API for configuration settings.

## API

See [REFERENCE.md](REFERENCE.md)

## Tips

* Bitcoin: [bc1qvuf05a6fvsezn5449snnnqud2ul3eu0n50jue2](bitcoin:BC1QVUF05A6FVSEZN5449SNNNQUD2UL3EU0N50JUE2?label=MonkyGames%20Donation)
* Ethereum: [0xDE5520EDa276F910206A98d2b9A70431CeC8AB5F](https://etherscan.io/address/0xDE5520EDa276F910206A98d2b9A70431CeC8AB5F)
